Subject: Re: Ответ: [PATCH 10/10] ieee802154: add at86rf230/rf231 spi driver

From: Marcel Holtmann <[email-masked]>
Date: Tue, 02 Jun 2009 10:36:49 +0200

Hi Dmitry,

> >> > I thought about drivers/net as about ip (well, more or less)
> >> > network drivers. We have drivers/atm or drivers/bluetooth (and
> >> > bluetooth is 802.15.1...).
> >>
> >> I actually like that this is drivers/bluetooth and not
> >> drivers/ieee802151. Would you consider drivers/zigbee instead of
> >> drivers/ieee802154 ???
> >
> > I fully agree here.
> >
> > Please use "zigbee" instead of "ieee*" names since that can become messy
> > and confusing. I know that in theory the IEEE part of ZigBee is more
> > low-level radio and could be used by non-ZigBee devices, but that is not
> > gonna happen anyway. Especially with Bluetooth Low Energy pushing into
> > the turf of ZigBee. So please use proper names and not confuse people
> > with IEEE numbers ;)
> 
> This gonna happen, as we are most probably going to implement 6lowpan
> on top of our stack. 6lowpan is a way to encapsulate IPv6 frames into
> IEEE 802.15.4 and has nothing in common with ZigBee. Moreover
> ZigBee is a trademark with strict rules upon it's usage. Our lawyers are
> currently investigating if it's possible to use this name in projects like
> Linux kernel which are open-source, non-related to any project but
> OTOH can be encapsulated in any commercial project.
> 
> IEEE 802.15.4 is a term like IEEE 802.11. We do have mac80211,
> we have had (until recently) ieee80211 dir, so why bother?
> 
> For Bluetooth naming directories 'bluetooth' is logical, as 802.15.1
> standard is a less known name, doesn't incorporate latest changes
> from Bluetooth, etc.

and so is IEEE 802.15.4 hence we propose using "zigbee" here. Using the
mac80211 has historical reasons and 802.11 is a known name and even used
on product marketing material. IEEE 802.15.4 is not. We are also using
the term "wimax" and not its IEEE numbering.

Regards

Marcel